Loading...
Searching...
No Matches
Parameter.h File Reference

Defines the internal representation of parameters to halide piplines. More...

`#include <optional>`
`#include <string>`
`#include "Buffer.h"`
`#include "IntrusivePtr.h"`
`#include "Type.h"`
`#include "Util.h"`
`#include "runtime/HalideRuntime.h"`

Go to the source code of this file.

## Classes

struct | Halide::BufferConstraint
class | Halide::Parameter
| A reference-counted handle to a parameter to a halide pipeline. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void | Halide::Internal::check_call_arg_types (const std::string &name, std::vector< Expr > *args, int dims)
| Validate arguments to a call to a func, image or imageparam.

## Detailed Description

Defines the internal representation of parameters to halide piplines.

Definition in file Parameter.h.